/* Utility class */

function unicodeToChar(text) {
  'use strict'

  return text.replace(/\\u[\dA-F]{4}/gi, match => {
    return String.fromCharCode(parseInt(match.replace(/\\u/g, ""), 16));
  });
}

function parseOpenAIResponse(AIResponse) {
  'use strict'
  
  let parsedData = AIResponse.substring(1, AIResponse.length - 1);
  parsedData = unicodeToChar(parsedData.replace(/\\n/g, "<br />"));

  return parsedData;
}

export default parseOpenAIResponse;
